num1 = 12
num2 = 6
# 2. С помощью оператора and сделать 2 сложных логических выражения,
# чтобы одного давало истину, другое - ложь.
print(num1 > num2 and num1 != num2)
print(num1 == num2 and num1 > num2)

# 3. Аналогично п.2, но с оператором or.
print(num1 > num2 or num1 != num2)
print(num1 == num2 or num1 < num2)

# 4. Использовать в выражениях переменные строкового типа.
# Объяснить результат.
s = 'abc'
s2 = 'cab'
# Сравнение строк в Python является лексикографическим.
# При использовании or результат хотя бы одного простого выражения
# должен быть истиной. False и True - получаем True.
# Второй случай: True и False дали False (с and получаем истину,
# только если оба выражения истинны).
print(s2 < s or s2 > s)
print(s != s2 and s2 < s)

# 5. Напишите программу, которая запрашивала бы у пользователя два числа
# и выводила бы True или False в зависимости от того,
# больше первое число второго или нет.
num1, num2 = int(input()), int(input())
print(num1 > num2)
